import os
from pathlib import Path

from . import utils


DATA_DIR              = Path(Path(__file__).parent, '../../data/').resolve()
RESULTS_WORK_DIR      = Path(Path(__file__).parent, '../../results_work/').resolve()
RESULTS_MAIN_DIR      = Path(Path(__file__).parent, '../../results/').resolve()
RESULTS_ARCHIVE_DIRS  = [Path(Path(__file__).parent, '../../results_archives/').resolve()]
RESULTS_DIRS          = [RESULTS_MAIN_DIR, RESULTS_WORK_DIR] + RESULTS_ARCHIVE_DIRS
POST_DIR              = Path(Path(__file__).parent, '../../post/').resolve()
FIGURES_DIR           = Path(Path(__file__).parent, '../../figures/').resolve()
MOVIE_DIR             = Path(Path(__file__).parent, '../../movies/').resolve()
EXP_DIR               = Path(Path(__file__).parent, '../experiments/').resolve()


def load_paths(filepath):
    global DATA_DIR, RESULTS_WORK_DIR, RESULTS_MAIN_DIR, RESULTS_ARCHIVE_DIRS, RESULTS_DIRS
    global POST_DIR, FIGURES_DIR, EXP_DIR

    if not os.path.isfile(filepath):
        raise ValueError(utils.red('Paths config {} not found'.format(filepath)))
    path_params = utils.load_config(filepath)

    DATA_DIR     = Path(Path(__file__).parent, path_params.get('data_dir', '../../data/')).resolve()

    RESULTS_WORK_DIR     = Path(Path(__file__).parent, path_params.get('RESULTS_WORK', '../../results_work/')).resolve()
    RESULTS_MAIN_DIR     = Path(Path(__file__).parent, path_params.get('RESULTS_MAIN', '../../results/')).resolve()
    RESULTS_ARCHIVE_DIRS = []
    for results_dir in path_params.get('RESULTS_DIR_ARCHIVES', ['../../results_archives/']):
        path = Path(Path(__file__).parent, results_dir).resolve()
        if path not in RESULTS_ARCHIVE_DIRS:
            RESULTS_ARCHIVE_DIRS.append(path)
    RESULTS_DIRS = [RESULTS_MAIN_DIR, RESULTS_WORK_DIR] + RESULTS_ARCHIVE_DIRS

    POST_DIR     = Path(Path(__file__).parent, path_params.get('post_dir', '../../post/')).resolve()
    FIGURES_DIR  = Path(Path(__file__).parent, path_params.get('figures_dir', '../../figures/')).resolve()
    MOVIE_DIR    = Path(Path(__file__).parent, path_params.get('movie_dir', '../../movies/')).resolve()
    EXP_DIR      = Path(Path(__file__).parent, path_params.get('exp_dir', '../experiments/')).resolve()


load_paths(utils.here('paths_cfg.yaml', __file__))
