def str_to_indexes(s):
    if not isinstance(s, str):
        if len(s) == 1:
            return s
        elif len(s) == 2:
            assert s[0] <= s[1]
            return list(range(s[0], s[1]+1))
        else:
            raise NotImplementedError
    s = str(s)
    slurm_array = []
    for group in s.split(','):
        if '-' in group:
            a_min, a_max = group.split('-')
            a_min, a_max = int(a_min), int(a_max)
            slurm_array.extend(range(a_min, a_max+1))
        else:
            slurm_array.append(int(group))
    return slurm_array

def indexes_to_str(values):
    values = sorted(values)
    def _sequential_group_to_str(group):
        if len(group) <= 2:
            return ','.join([str(e) for e in group])
        else:
            return '{}-{}'.format(group[0], group[-1])

    group, groups = [], []
    for v in values:
        if len(group) == 0 or group[-1] + 1 == v: # empty or sequential
            group.append(v)
        else:
            groups.append(_sequential_group_to_str(group))
            group = [v]
    if len(group) > 0:
        groups.append(_sequential_group_to_str(group))

    return ','.join(groups)
