import matplotlib as mpl
import matplotlib.pyplot as plt
import matplotlib.cm


def color_map(values, cmap=mpl.cm.viridis, v_min=None, v_max=None, alpha=1.0):
    colors = []
    for r, g, b, _ in 255*cmap(mpl.colors.Normalize(vmin=v_min, vmax=v_max)(values)):
        colors.append("#{:02x}{:02x}{:02x}{:02x}".format(int(r), int(g), int(b), int(255*alpha)))
    return colors

blues = ('#386FA4', '#59A5D8', '#84D2F6')
blue1, blue2, blue3 = blues


oranges = ('#9c0606', '#e76016', '#f29507')
orange1, orange2, orange3 = oranges

# line_color, dark_color, light_color
control     = ('#386fa4', '#59A5d8', '#84d2f6')
development = ('#49006a', '#7a0177', '#e457a0')
development2 = ('#9437ff', '#b601b3', '#d783ff')
development3 = ('#300F33', '#300F33', '#942193')


scatter_control     = '#59A5d8'  # dark blue
scatter_development = '#e457a0'  # light pink

greys = '#cccccc', '#555555', '#cccccc'
