import math

import numpy as np
import scipy.stats


def confidence_interval_mean(data, confidence=0.95):
    m = np.mean(data)
    h = scipy.stats.sem(data) * scipy.stats.t.ppf((confidence + 1.0) / 2, len(data) - 1)
    return m - h, m + h

def confidence_interval_median(data, confidence=0.95):
    data = sorted(data)
    z = scipy.stats.norm.ppf(1/2 + confidence/2)
    n = len(data)
    return data[int(round(n/2 - z * math.sqrt(n)/2) - 1)], data[int(round(n/2 + z * math.sqrt(n)/2) - 1)]

def windowed_max_fitness(perfs, window):
    max_perfs = np.max(np.array(perfs['fitness'], dtype=np.float32), axis=1)
    return bn.move_max(max_perfs, window)

def windowed_mean_fitness(perfs, window):
    avg_perfs = np.mean(np.array(perfs['fitness'], dtype=np.float32), axis=1)
    return bn.move_mean(avg_perfs, window)
