import time
import argparse

import evodevo


if __name__ == '__main__':

    parser = argparse.ArgumentParser()
    parser.add_argument('filepath')
    parser.add_argument('n', nargs='?', default=20, type=int)
    args = parser.parse_args()

    params = evodevo.load_config(args.filepath)
    params['population']['initial_pop'] = args.n

    params['meta']['multiprocessing'] = False
    params['meta']['seed'] = 1
    params['meta']['save_period'] = None
    params['meta']['backup_period'] = None
    params['meta']['save_filepath'] = None

    run = evodevo.Run(params, resume=False)
    start = time.time()
    run.run_generations(target_gen=1)
    duration = time.time() - start

    print('{:.2f}s/eval'.format(duration/args.n))
