import os
import argparse
from pathlib import Path
from evodevo import paths

parser = argparse.ArgumentParser()
parser.add_argument('exp_name', help='experiment name', nargs='?', default=evodevo.CURRENT_EXP_NAME)
args = parser.parse_args()

print('scanning for logs in the {} experiments results files...'.format(args.exp_name))
logs, error_logs = set(), set()

for results_dir in paths.RESULTS_DIRS:
    rootdir = Path(results_dir, args.exp_name)

    for dir_name, subdir_list, file_list in os.walk(rootdir):
        for filename in file_list:
            if Path(filename).suffix == '.log':
                filepath = Path(dir_name, filename)
                logs.add((filepath.stat().st_size, filepath))
            if Path(filename).suffix == '.err':
                filepath = Path(dir_name, filename)
                error_logs.add((filepath.stat().st_size, filepath))

for size, filepath in sorted(error_logs, reverse=True):
    if size > 0:
        print(size, filepath)
        with open(filepath, 'r') as fd:
            print(fd.read())
