import sys, os

CFG_TEMPLATE = """base: v3_base.yaml

population:
    dev_vars:
        node_mass:  {{'function': 'bounded', 'min': 0.1, 'max': {max_value}, 'subgenerator': {{
                                 'function': 'sum', 'subgenerators':
                                      [{{'function': 'mult', 'subgenerators': [{{'function': 'sinus', 'amplitude': {amplitude}, 'period': {period}, 'phase': 0.0}},
                                                                              {{'function': 'linear', 'milestones': [[0, 1.0], [1900, 1.0], [2000, 0.0]]}}]}},
                                       {{'function': 'linear', 'milestones': [[0, {baseline}], [1900, {baseline}], [2000, 1.0]]}}]}}}}

meta:
    minor: {minor}
"""

max_value = 10.0
baseline  = 0.95
amplitude = 0.05

minor = 1
for period in [5, 10, 25, 50, 100, 200, 500, 1000, 2000]:
    cfg_str = CFG_TEMPLATE.format(period=period, amplitude=amplitude, baseline=baseline,
                                    minor=minor, max_value=max_value)
    filepath = os.path.join(os.path.dirname(__file__),
                            'v3_{:02d}_sinusoid{}_{}_{}.yaml'.format(minor, period, baseline, amplitude))
    with open(filepath, 'w') as fd:
        fd.write(cfg_str)

    minor += 1
