import sys, os

CFG_TEMPLATE = """base: v5_base.yaml

population:
    dev_vars:
        birth_size:  {{'function': 'bounded', 'min': 0.5, 'max': 2.0, 'subgenerator': {{
                                 'function': 'sum', 'subgenerators':
                                      [{{'function': 'mult', 'subgenerators': [{{'function': 'sinus', 'amplitude': {amplitude}, 'period': {period}, 'phase': 0.0}},
                                                                              {{'function': 'linear', 'milestones': [[0, 1.0], [1900, 1.0], [2000, 0.0]]}}]}},
                                       {{'function': 'linear', 'milestones': [[0, {baseline}], [1900, {baseline}], [2000, 1.0]]}}]}}}}

meta:
    minor: {minor}
"""

minor = 1
for period in [25]:
    for baseline, amplitude in [(1.0, 0.025), (1.0, 0.05), (1.0, 0.1), (1.0, 0.2), (1.0, 0.3), (1.0, 0.5)]:
        cfg_str = CFG_TEMPLATE.format(period=period, amplitude=amplitude, baseline=baseline, minor=minor)
        filepath = os.path.join(os.path.dirname(__file__),
                                'v5_{:02d}_sinusoid{}_{}_{}.yaml'.format(minor, period, baseline, amplitude))
        with open(filepath, 'w') as fd:
            fd.write(cfg_str)

        minor += 1
