import sys, os

CFG_TEMPLATE = """base: v7_base.yaml

population:
    dev_vars:
        node_mass:  {{'function': 'bounded', 'min': 0.5, 'max': 2.0, 'subgenerator': {{
                                 'function': 'sum', 'subgenerators':
                                      [{{'function': 'mult', 'subgenerators': [{{'function': 'sinus', 'amplitude': {amplitude}, 'period': {period}, 'phase': 0.0}},
                                                                              {{'function': 'linear', 'milestones': [[0, 1.0], [{predevlength}, 1.0], [{devlength}, 0.0]]}}]}},
                                       {{'function': 'linear', 'milestones': [[0, {baseline}], [{predevlength}, {baseline}], [{devlength}, 1.0]]}}]}}}}

meta:
    minor: {minor}
"""

minor = 1
period = 25
baseline = 1.0
amplitude = 0.2
for devlength in [200, 500, 1000, 3000]:
    cfg_str = CFG_TEMPLATE.format(period=period, amplitude=amplitude, baseline=baseline,
                                  minor=minor, predevlength=devlength-100, devlength=devlength)
    filepath = os.path.join(os.path.dirname(__file__),
                            'v7_{:02d}_sinusoid{}_{}_{}.yaml'.format(minor, period, baseline, amplitude))
    with open(filepath, 'w') as fd:
        fd.write(cfg_str)

    minor += 1
