import sys, os

CFG_TEMPLATE = """base: v9_base.yaml

population:
    dev_vars:
        node_mass:  {{'function': 'bounded', 'min': 0.5, 'max': 2.0, 'subgenerator': {{
                                  'function': 'sum', 'subgenerators':
                                      [{{'function': 'mult', 'subgenerators': [{{'function': 'sinus', 'amplitude': {amplitude}, 'period': {period}, 'phase': 0.0}},
                                                                              {{'function': 'linear', 'milestones': [[0, 1.0], [1900, 1.0], [2000, 0.0]]}}]}},
                                       {{'function': 'linear', 'milestones': [[0, {baseline}], [1900, {baseline}], [2000, 1.0]]}}]}}}}

meta:
    minor: {minor}
"""

baseline = 1.0
period = 25

minor = 1
for amplitude in [0.025, 0.05, 0.1, 0.2, 0.3, 0.5]:
    if amplitude != 0.1:
        cfg_str = CFG_TEMPLATE.format(period=period, amplitude=amplitude, baseline=baseline, minor=minor)
        filepath = os.path.join(os.path.dirname(__file__),
                                'v9_{:02d}_sinusoid{}_{}_{}.yaml'.format(minor, period, baseline, amplitude))
        with open(filepath, 'w') as fd:
            fd.write(cfg_str)

    minor += 1
