"""Setup script

For details: https://packaging.python.org/en/latest/distributing.html
"""
import os
import setuptools


here = os.path.abspath(os.path.dirname(__file__))
with open(os.path.join(here, 'readme.md'), encoding='utf-8') as fd:
    long_description = fd.read()

setuptools.setup(
    name='evodevo',
    version='1.0.0',

    description='Evolutionary Development Experiments',
    long_description=long_description,

    url='https://github.com/benureau/wobbling2022',

    author='Fabien C. Y. Benureau, OIST CNRU, Okinawa, Japan',
    author_email='fabien@benureau.com',

    license='Open Science License',

    keywords='',

    # See https://pypi.python.org/pypi?%3Aaction=list_classifiers
    classifiers=[
        'Development Status :: 4 - Beta',

        'Intended Audience :: Science/Research',

        'Programming Language :: Python :: 3.9',
    ],

    # where is our code
    packages=['evodevo'],

    # required dependencies
    install_requires=['wheel',
                      'springs', 'reproducible>=0.4.0', 'numpy', 'msgpack>=1.0.0',
                      'tqdm', 'setproctitle', 'psutil', 'python-dateutil',
                      'pytest', 'colr',
                      'bokeh', 'selenium', 'matplotlib', 'scipy',
                      'wurlitzer',
                      'scikit-learn', 'pandas',
                      'asyncssh'],
    extras_require = {
        'mpi':  ['mpi4py']
    }
)
