#!/usr/bin/env python
import os
import sys
import argparse
import subprocess


folders = ['post']
# folders = ['results/wobbling']


if __name__ == '__main__':
    parser = argparse.ArgumentParser()
    parser.add_argument('host', help="remote host to pull to", default='mario', nargs='?')
    parser.add_argument('--delete' , '-d', help="delete remote files not present locally (with rsync filters)", default=True, action='store_false')
    args = parser.parse_args()

    for folder in folders:
        source = '{}:projects/wobbling2022/{}/'.format(args.host, folder)
        dest   = os.path.join(os.path.dirname(__file__), '{}/'.format(folder))
        exclude = ['.DS_Store', 'build/', '*.so',
                '*.egg-info', '*__pycache__*',
                'cython_debug/', 'build_cmake/']

        cmd = ['rsync', '-ahv']
        if args.delete:
            cmd.append('--delete')
        for e in exclude:
            cmd.extend(['--exclude', '\'{}\''.format(e)])
        cmd.extend([source, dest])

        print(' '.join(cmd))
        subprocess.run(' '.join(cmd), shell=True)
